Show / Hide Table of Contents

# Class ProxyEventArgsBase

The base event arguments

##### Inheritance

Object
EventArgs
ProxyEventArgsBase
BeforeSslAuthenticateEventArgs
CertificateSelectionEventArgs
CertificateValidationEventArgs
EmptyProxyEventArgs
MultipartRequestPartSentEventArgs
SessionEventArgsBase

##### Inherited Members

EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public abstract class ProxyEventArgsBase : EventArgs

### Properties

| Improve this Doc View Source

#### ClientUserData

##### Declaration

    public object ClientUserData { get; set; }

##### Property Value

Type | Description
--- | ---
Object |

### See Also

EventArgs